## marble 22.04.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Set minimum OS X target
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(marble VERSION ${RELEASE_SERVICE_VERSION})

####################################################
# CMake Settings
SET(CMAKE_COLOR_MAKEFILE ON)
# SET(CMAKE_SKIP_RPATH ON)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Let CMake find the correct library dir instead of
# relying on the obsolete LIB_SUFFIX parameter
include(GNUInstallDirs)

# Taken from KDECompilerSettings.cmake:
# Pick sensible versions of the C and C++ standards.
# Note that MSVC does not have equivalent flags; the features are either
# supported or they are not.
if ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
    # We use the C89 standard because that is what is common to all our
    # compilers (in particular, MSVC 2010 does not support C99)
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -std=iso9899:1990")
endif()
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" AND NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
endif()
# Default to hidden visibility for symbols
set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

# RPATH/RUNPATH settings
if (UNIX)
    # Add CMAKE_INSTALL_FULL_LIBDIR to the RPATH to be used when installing,
    # but only if it isn't a standard system directory.
    list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemLibDir)
    list(FIND CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES      "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemCxxLibDir)
    list(FIND CMAKE_C_IMPLICIT_LINK_DIRECTORIES        "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemCLibDir)
    if("${isSystemLibDir}" STREQUAL "-1"  AND  "${isSystemCxxLibDir}" STREQUAL "-1"  AND  "${isSystemCLibDir}" STREQUAL "-1")
        set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}")
    endif()

    # Add directories which are in the linker search path (but outside the project)
    # to the RPATH to be used when installing
    set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    # no libs or plugins are designed to be used from the build dir, so directly link with install rpath
    set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
endif (UNIX)

####################################################
# Where to look first for cmake modules,
# before ${CMAKE_ROOT}/Modules/ is checked
set ( CMAKE_MODULE_PATH
     ${CMAKE_SOURCE_DIR}/cmake/modules
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake_find_rules
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake_scripts
     ${CMAKE_MODULE_PATH}
     )

# add cmake macros
include(GenerateExportHeader)
include( MarbleMacros )

####################################################
# Generate the tiles with the tilecreator at compile time
# if this option is set, srtm.jpg will not be installed but the generated tiles instead
option(MOBILE "Create a Marble version optimized for handheld devices")

####################################################
# Provide opt-in switch for mobile variant, which is not only useful for Android.
option(BUILD_TOUCH "Build touch-friendly Marble version (on Android this option is bypassed)" OFF)

####################################################
# Build a D-Bus interface for the Marble widget
# This is disabled by default for all win32, apple and Android
if(WIN32 OR APPLE OR ANDROID)
    option(BUILD_WITH_DBUS "Build the D-Bus interface for the Marble widget" OFF)
else()
    option(BUILD_WITH_DBUS "Build the D-Bus interface for the Marble widget" ON)
endif()


#######################################################
# Specific options for building for different platforms

if(ANDROID)
   add_definitions(-DANDROID)
endif()


#######################################################
# Find Qt dependencies

find_package(Protobuf)
set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")

if(ANDROID)
    set(REQUIRED_QT_VERSION 5.14.0)
   # TODO: still needed with ECM toolchain?
   SET(QT_QMAKE_EXECUTABLE "$ENV{Qt5_android}/bin/qmake")
else()
    set(REQUIRED_QT_VERSION 5.14.0)
endif()

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED
    COMPONENTS
        Core
        Xml
        Network
        Test
        Widgets
        Svg
        Sql
        Concurrent
        Quick
        PrintSupport
)

if(ANDROID)
    find_package(Qt5Positioning ${REQUIRED_QT_VERSION} REQUIRED)
    find_package(Qt5Multimedia ${REQUIRED_QT_VERSION} REQUIRED)

   set ( MARBLE_NO_WEBKITWIDGETS TRUE )
else()
    find_package(Qt5WebChannel ${REQUIRED_QT_VERSION})
    find_package(Qt5WebEngine ${REQUIRED_QT_VERSION})
    find_package(Qt5WebEngineWidgets ${REQUIRED_QT_VERSION})

   if ( NOT Qt5WebEngineWidgets_FOUND )
     set ( MARBLE_NO_WEBKITWIDGETS TRUE )
   endif()
endif()

if (BUILD_WITH_DBUS)
  find_package(Qt5DBus ${REQUIRED_QT_VERSION})
  if (NOT Qt5DBus_FOUND)
    set(MARBLE_NO_DBUS TRUE)
  endif()
else()
  set(MARBLE_NO_DBUS TRUE)
endif()

SET(CMAKE_AUTOMOC TRUE)

# Use M_PI under Windows
if( WIN32 )
    add_definitions( -D_USE_MATH_DEFINES )
endif( WIN32 )

####################################################
# build unit tests

INCLUDE (CTest)
ENABLE_TESTING()

option( BUILD_MARBLE_TESTS "Build unit tests" ON )
add_feature_info("Unit tests" BUILD_MARBLE_TESTS "Build unit tests. Toggle with BUILD_MARBLE_TESTS=YES/NO. 'make test' will run all.")

if( BUILD_MARBLE_TESTS )
#  SET (TEST_DATA_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src/tests/test_data")
  #where unit test binaries should be installed to and run from
#  SET (MARBLE_TEST_DIR   ${CMAKE_CURRENT_BINARY_DIR}/tests)
endif( BUILD_MARBLE_TESTS )

####################################################
set (PEDANTIC FALSE CACHE BOOL "Determines if we should compile with -Wall -Werror.")
set (WITH_DESIGNER_PLUGIN TRUE CACHE BOOL "Build plugins for Qt Designer")
add_feature_info("Qt Designer plugins" WITH_DESIGNER_PLUGIN "Marble widget support in Qt Designer. Toggle with WITH_DESIGNER_PLUGIN=YES/NO")

set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX} CACHE PATH  "Base directory for executables and libraries" FORCE)
if (NOT QT_PLUGINS_DIR)
   set(QT_PLUGINS_DIR ${CMAKE_INSTALL_LIBDIR}/plugins)
endif()

####################################################
# Detect default for the user configurable MARBLE_DATA_PATH option

if(WIN32)
    set(data_dir data)
    set(locale_dir "${data_dir}/locale")
    set(plugin_dir plugins)
elseif(APPLE)
    # needed for finding bundle path in e.g. katlasdir.h
    FIND_LIBRARY(APP_SERVICES_LIBRARY ApplicationServices )
    MARK_AS_ADVANCED (APP_SERVICES_LIBRARY)
    SET(MAC_EXTRA_LIBS ${APP_SERVICES_LIBRARY})
      # for Mac OS X, everything is put inside an application bundle
      SET (CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/)
      # path for library references
      SET (CMAKE_INSTALL_NAME_DIR @executable_path/lib)
      # install the Info.plist file
      install(FILES src/mac/Info.plist DESTINATION ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents)
      #SET (lib_dir ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/lib)
      SET (data_dir   ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/resources/data)
      set(locale_dir "${data_dir}/locale")
      SET (plugin_dir   ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/resources/plugins)
elseif(ANDROID)
      set(plugin_dir "${CMAKE_INSTALL_PREFIX}/assets/plugins")
      set(data_dir "${CMAKE_INSTALL_PREFIX}/assets/data")
      set(locale_dir "${data_dir}/locale")
else() # Linux / bsd etc...
      set(data_dir ${CMAKE_INSTALL_FULL_DATAROOTDIR}/marble/data)
      set(locale_dir "${CMAKE_INSTALL_FULL_DATAROOTDIR}/locale")
      set(plugin_dir ${CMAKE_INSTALL_FULL_LIBDIR}/marble/plugins)
endif()

if(NOT ICON_INSTALL_DIR)
	set(ICON_INSTALL_DIR share/icons)
endif(NOT ICON_INSTALL_DIR)

if(NOT APPS_INSTALL_DIR)
	set(APPS_INSTALL_DIR share/applications)
endif(NOT APPS_INSTALL_DIR)

if(NOT INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "include")
endif()

if (NOT MARBLE_DATA_PATH)
  set (MARBLE_DATA_PATH ${data_dir})
endif (NOT MARBLE_DATA_PATH)

if (NOT MARBLE_PLUGIN_PATH)
  set (MARBLE_PLUGIN_PATH ${plugin_dir})
endif (NOT MARBLE_PLUGIN_PATH)

if (NOT MARBLE_DATA_INSTALL_PATH)
  set (MARBLE_DATA_INSTALL_PATH ${MARBLE_DATA_PATH})
endif (NOT MARBLE_DATA_INSTALL_PATH)

if (NOT MARBLE_PLUGIN_INSTALL_PATH)
  set (MARBLE_PLUGIN_INSTALL_PATH ${MARBLE_PLUGIN_PATH})
endif (NOT MARBLE_PLUGIN_INSTALL_PATH)

#MESSAGE( STATUS, "MARBLE_PLUGIN_INSTALL_PATH: ${MARBLE_PLUGIN_INSTALL_PATH}" )

if(WIN32)
  set (STATIC_BUILD FALSE CACHE BOOL "Link to static Qt libs (win32 only)?")
endif(WIN32)

add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050700
)

if (NOT WIN32)
    # Strict iterators can't be used on Windows, they lead to a link error
    # when application code iterates over a QVector<QPoint> for instance
    # See example at https://bugreports.qt.io/browse/QTBUG-78112
    add_definitions(-DQT_STRICT_ITERATORS)
endif()
####################################################
# Options for static build
if(STATIC_BUILD)
  set(BUILD_SHARED_LIBS FALSE)
  add_definitions(-DSTATIC_BUILD=1)
else()
  set(BUILD_SHARED_LIBS TRUE)
endif(STATIC_BUILD)

#############################################################
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")
    # Its good programming practice to build with no warnings...
    add_definitions( -Wall -Wextra -Wundef -Wnon-virtual-dtor -Woverloaded-virtual -Wno-long-long
                     -Wchar-subscripts -Wcast-align -Wpointer-arith -Wformat-security )

    # In pedantic mode, treat warnings as errors
    if (PEDANTIC)
        add_definitions( -Werror )
    endif (PEDANTIC)
endif (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")

#############################################################
# Add a compiler def so that we can conditionally compile
# code in debug mode only (e.g. extra console messages)
IF (CMAKE_BUILD_TYPE MATCHES Debug)
    IF(NOT MINGW)
        ADD_DEFINITIONS(-DDEBUG)
    ELSE(NOT MINGW)
        REMOVE_DEFINITIONS( -DQT_NO_DEBUG )
    ENDIF(NOT MINGW)
ENDIF (CMAKE_BUILD_TYPE MATCHES Debug)

####################################################
# on Win32 set the debug postfix
if(WIN32)
  # distinguish between debug and release plugin
  SET(CMAKE_DEBUG_POSTFIX "d")
endif(WIN32)
####################################################


####################################################
# Add global ECM & KF5 settings
set(REQUIRED_ECM_VERSION 1.7.0)
set(KDE_INSTALL_DIRS_NO_DEPRECATED TRUE)
set(KDE_SKIP_UNINSTALL_TARGET ON CACHE BOOL "KDE uninstall target must be disabled")
set(REQUIRED_KF5_MIN_VERSION 5.7.0)

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET)
if(ECM_FOUND)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

  include(KDEInstallDirs)
  # KDECMakeSettings expects LIB_INSTALL_DIR set
  set(LIB_INSTALL_DIR ${KDE_INSTALL_LIBDIR})
  include(KDECMakeSettings)
  include(ECMInstallIcons)
  include(ECMEnableSanitizers)
  include(ECMCoverageOption)
endif()

####################################################
# Add the include directories

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/projections

=== src/apps/marble-qt/CMakeLists.txt ===
set(marble_SRCS qtmain.cpp QtMainWindow.cpp)
include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/../marble-ui)

if(MSVC)
  set(marble_SRCS ${marble_SRCS} marble.rc)
endif(MSVC)

qt_wrap_ui(marble_SRCS ${marble_UI})

if (WIN32)
    add_executable (marble-qt WIN32 ${marble_SRCS})
    if (MSVC)
	  set_target_properties(marble-qt PROPERTIES LINK_FLAGS "/ENTRY:\"mainCRTStartup\"")
    endif()
else (WIN32)
    if (APPLE)
        add_executable (marble-qt ${marble_SRCS})
        # For Mac OS X, the executable must be at the root of the bundle's executable folder
        INSTALL(TARGETS marble-qt RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS)
    else (APPLE)
        add_executable (marble-qt ${marble_SRCS})
    endif (APPLE)
endif (WIN32)

target_link_libraries (
marble-qt
Qt5::Widgets
Qt5::PrintSupport
Qt5::Network
marbleui
marblewidget
astro)

if(WIN32)
  target_link_libraries(
    marble-qt
    ws2_32 
    imm32 
    winmm
    )
endif(WIN32)

## this works for win32 only because FindQt does not handle this correct
if(STATIC_BUILD AND WIN32)
    target_link_libraries(marble-qt ${QT_PLUGINS_DIR}/imageformats/qjpeg.lib)
    target_link_libraries(marble-qt ${QT_PLUGINS_DIR}/imageformats/qsvg.lib)
endif()

if(WIN32)
install (TARGETS marble-qt RUNTIME DESTINATION .)
else(WIN32)
if (APPLE)
  # No need for this when installing to a bundle
else (APPLE)
    install (TARGETS marble-qt RUNTIME DESTINATION bin )
endif (APPLE)
endif(WIN32)

if(APPS_INSTALL_DIR)
  install(PROGRAMS org.kde.marble-qt.desktop DESTINATION ${APPS_INSTALL_DIR})
endif(APPS_INSTALL_DIR)

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               libgps-dev (>= 2.90),
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5crash-dev (>= 5.7.0~),
               libkf5doctools-dev (>= 5.7.0~),
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kio-dev (>= 5.7.0~),
               libkf5newstuff-dev (>= 5.7.0~),
               libkf5parts-dev (>= 5.7.0~),
               libkf5plasma-dev (>= 5.7.0~),
               libkf5runner-dev (>= 5.7.0~),
               libkf5wallet-dev (>= 5.7.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libprotobuf-dev,
               libqt5opengl5-dev,
               libqt5serialport5-dev,
               libqt5svg5-dev (>= 5.7.0~),
               qtwebengine5-dev (>= 5.14) | libqt5webkit5-dev (>= 5.4),
               libshp-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               protobuf-compiler,
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qtlocation5-dev (>= 5.3.0~),
               qtmultimedia5-dev (>= 5.7.0~),
               qtpositioning5-dev (>= 5.7.0~),
               qtquickcontrols2-5-dev (>= 5.7.0~),
               qttools5-dev (>= 5.7.0~),
               shared-mime-info,
               zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://marble.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/marble
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/marble.git

Package: libastro-dev
Architecture: any
Section: libdevel
Depends: libastro1 (= ${binary:Version}), ${misc:Depends}
Description: development files for the Marble astrononmy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble astronomy library
 .
 This package is part of the KDE education module.

Package: libastro1
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Marble astronomy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for astronomy support in marble.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: libastro-dev (= ${binary:Version}),
         libmarblewidget-qt5-28 (= ${binary:Version}),
         libqt5svg5-dev (>= 5.7.0~),
         libqt5webkit5-dev (>= 5.4),
         qtdeclarative5-dev (>= 5.7.0~),
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-28},
         ${shlibs:Depends}
Description: development files for the Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: libmarblewidget-qt5-28
Architecture: any
Section: libs
Multi-Arch: same
Depends: marble-qt-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: marble-plugins (= ${binary:Version})
Description: Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Replaces: marble-data (<< 4:17.08.1)
Breaks: marble-data (<< 4:17.08.1)
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Multi-Arch: foreign
Depends: marble-qt-data (= ${source:Version}), ${misc:Depends}
Description: data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-maps
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Description: globe and map widget for mobile form factors
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: plugins for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-qt-data
Architecture: all
Section: misc
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: marble-data (<< 4:17.08.3-3~)
Replaces: marble-data (<< 4:17.08.3-3~)
Description: Qt-only data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: plasma-marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~)
Replaces: marble (<< 4:17.08.3-3~), marble-data (<< 4:17.08.3-3~)
Description: Plasma integration for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the Marble integration with Plasma:
  * the Plasma runner
  * the World Clock widget
  * the Plasma wallpaper
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  QMAKE = qmake
else
  QMAKE = $(DEB_HOST_GNU_TYPE)-qmake
endif

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DWITH_DESIGNER_PLUGIN=ON \
				 -DWITH_KF5=TRUE \
				 -DMARBLE_INSTALL_ANDROID_APPS=ON \
				 -DQT_PLUGINS_DIR="$(shell $(QMAKE) -qt=5 -query QT_INSTALL_PLUGINS)" \
				 -DBUILD_TOUCH=ON \
				 -DBUILD_MARBLE_TESTS=FALSE \
				 $(conf_args)

execute_after_dh_auto_install:
	# remove extra license files
	rm -f debian/tmp/usr/share/marble/data/LICENSE.txt
	rm -rf debian/tmp/usr/share/marble/data/licenses/

override_dh_auto_test:
	# Disable the auto tests at build time
	:

override_dh_clean:
	dh_clean -Xdata/mwdbii/PISLAND.PNT.orig -Xdata/mwdbii/PLAKE.PNT.orig

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_sameversiondep -a
	dh_gencontrol -a

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## marble 22.08.1

=== debian/changelog ===
marble (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:16 +0100

marble (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:25 +0100

marble (4:22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:35:02 +0100

marble (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:30 +0100

marble (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:11 +0100

marble (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:09:25 +0100

marble (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:42 +0100
